## mame 0.187+dfsg.1

=== debian/changelog ===
mame (0.187+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Release to unstable.
  * Use uscan to repack upstream tarball.
  * Removed whatsnew.txt and ctrlr/*.cfg files, no longer in repacked tarball.

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 03 Jul 2017 10:49:39 +0200

mame (0.186-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 04 Jun 2017 08:33:50 +0200

mame (0.185-1) experimental; urgency=medium

  * New upstream release.
  * Disable genie_freebsd_target.patch, as it gets in the way and kFreeBSD
    builds are broken in other ways.
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Wed, 26 Apr 2017 12:11:22 +0200

mame (0.184-1) experimental; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 07 Apr 2017 01:43:05 +0200

mame (0.183-1) experimental; urgency=medium

  * New upstream release.
  * Drop transitional mess and mess-data packages.
  * Extend mame-data's description slightly.

 -- Jordi Mallach <jordi@debian.org>  Tue, 07 Mar 2017 21:37:54 +0100
