=== debian/changelog ===
mame (0.188+dfsg.1-0ubuntu2) artful; urgency=medium

  * New upstream release.
  * Refreshed hurd.patch.
  * Removed optimizations for i386 (reduces VM memory requirements).
  * Reinstate mess dummy package, solves mess-desktop-entries pkg dep issue.

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 28 Jul 2017 13:05:51 +0200
