=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
 Build-Depends: debhelper (>= 10),
  dpkg-dev (>= 1.17),
  libexpat1-dev,
@@ -96,3 +94,11 @@
  arcade machines (it is not a simulation).
  .
  This is sphinx-generated full documentation for the MAME system.
+
+Package: mess
+Depends: mame, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: Transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
