=== debian/changelog ===
mame (0.195+dfsg.1-2) unstable; urgency=medium

  [ Cesare Falco ]
  * Use Gold linker and set ld flags to reduce memory.

  [ Jordi Mallach ]
  * Add B-D-I on python3-distutils so Sphynx works as expected.
  * Move links and doc-base paths to new default location of docs.
  * Add patch to fix an infinite loop in the fallback C code for
    mips*, arm*, s390x, and other arches with no native ASM. This
    fixes the validation tests for the check build rule.
  * Set OPTIMIZE=2 to avoid memory exhaustion on i386 builds.
  * Upload to unstable, rapidjson (>= 1.0) is now available there.

 -- Jordi Mallach <jordi@debian.org>  Thu, 22 Mar 2018 22:26:55 +0100

mame (0.195+dfsg.1-1) experimental; urgency=medium

  [ Cesare Falco ]
  * New upstream release.
  * Use Gold linker and set ld flags to reduce memory requirements

  [ Jordi Mallach ]
  * Reinstate check rule, as a failure to run indicates grave problems
    in the generated binary.
  * Remove transitional mess package again, as mess-desktop-entries has
    been fixed.
  * Use system libglm, rapidjson and utf8proc. Drop definitions for system
    libuv which is no longer used (closes: #892559).
  * Drop avoid_linenoise.patch and build definitions, as the bundled
    linenoise fork no longer has GPL-incompatible material.
  * Apply several formatting fixes to copyright file.
  * Bump debhelper compat to v11.

 -- Jordi Mallach <jordi@debian.org>  Sat, 17 Mar 2018 01:31:35 +0100

mame (0.194+dfsg.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update patches.

  [ Jordi Mallach ]
  * Reinstate check rule, as a failure to run indicates grave problems
    in the generated binary.
  * Remove transitional mess package again, as mess-desktop-entries has
    been fixed.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 31 Jan 2018 12:08:01 +0100

mame (0.193+dfsg.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * debian/rules: removed Mame internal testing, seems to break ARM builds.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 28 Dec 2017 16:21:38 +0100

mame (0.192+dfsg.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 03 Dec 2017 22:24:20 +0100

mame (0.190+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Sat, 30 Sep 2017 18:37:49 +0200

mame (0.189+dfsg.1-2) unstable; urgency=medium

  * Reinstate mess dummy package, solves mess-desktop-entries pkg dep issue.
  * Include ctrlr directory in mame-data.
  * Refreshed avoid_linenoise.patch.

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 17 Sep 2017 12:09:18 +0200

mame (0.189+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Aug 2017 17:54:29 +0200

mame (0.188+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed hurd.patch.
  * Removed optimizations for i386 (reduces VM memory requirements;
    closes: #869074).

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 28 Jul 2017 13:05:51 +0200
