=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Cesare Falco <c.falco@ubuntu.com>,
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
+Build-Depends: debhelper (>= 11),
  dpkg-dev (>= 1.17),
  libexpat1-dev,
  libflac-dev,
  libfontconfig1-dev,
+ libglm-dev,
  libjpeg-dev,
  liblua5.3-dev,
  libportmidi-dev [linux-any],
@@ -15,11 +18,12 @@
  libsdl2-dev,
  libsqlite3-dev,
  libutil-freebsd-dev [kfreebsd-any],
- libuv1-dev,
+ libutf8proc-dev,
  libxinerama-dev,
  portaudio19-dev,
  python-dev,
  qtbase5-dev,
+ rapidjson-dev (>= 1.0),
  zlib1g-dev
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 3.9.8
@@ -94,11 +98,3 @@
  arcade machines (it is not a simulation).
  .
  This is sphinx-generated full documentation for the MAME system.
-
-Package: mess
-Depends: mame, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: Transitional dummy package
- This is a transitional dummy package. It can safely be removed.
