=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,11 @@
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 
 # Sacrifice linking speed to avoid using so much memory
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-keep-memory
+export DEB_LDFLAGS_MAINT_APPEND = \
+    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
+
+# Also, use Gold linker which is less greed for memory
+LDFLAGS = "-fuse-ld=gold"
 
 # taken verbatim from debian policy
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -38,7 +42,6 @@
     PTR64= \
     BIGENDIAN= \
     NOASM=1 \
-    NO_USE_LINENOISE=1 \
     QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
     USE_SYSTEM_LIB_EXPAT=1 \
     USE_SYSTEM_LIB_ZLIB=1 \
@@ -48,7 +51,9 @@
     USE_SYSTEM_LIB_SQLITE3=1 \
     USE_SYSTEM_LIB_PORTMIDI=1 \
     USE_SYSTEM_LIB_PORTAUDIO=1 \
-    USE_SYSTEM_LIB_UV=1 \
+    USE_SYSTEM_LIB_GLM=1 \
+    USE_SYSTEM_LIB_RAPIDJSON=1 \
+    USE_SYSTEM_LIB_UTF8PROC=1 \
     VERBOSE=1
 
 # Override make variables for specific archs
@@ -67,7 +72,7 @@
 
 ifeq ($(DEB_HOST_ARCH),i386)
 DEB_OPTS += \
-    OPTIMIZE=0 \
+    OPTIMIZE=2 \
     FORCE_DRC_C_BACKEND= \
     NOASM=
 endif
