## mame 0.199+dfsg.1

=== debian/changelog ===
mame (0.199+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 20 Jul 2018 16:25:34 +0200

mame (0.196+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields to reflect migration to salsa.debian.org.
  * Remove fix_c_fallback.patch, which was taken from git.

 -- Jordi Mallach <jordi@debian.org>  Fri, 20 Jul 2018 12:13:33 +0200
