=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
  zlib1g-dev
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/mame.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/mame.git
+Vcs-Git: https://salsa.debian.org/games-team/mame.git
+Vcs-Browser: https://salsa.debian.org/games-team/mame
 Homepage: http://mamedev.org/
 XS-Autobuild: yes
