## mame 0.200+dfsg.1

=== debian/changelog ===
mame (0.200+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Use system libasio and libpugixml. Update B-D accordingly.
  * Make use of the gold linker conditional to availability.
  * Drop usage of system asio, as it does not build with current versions
    in unstable or experimental.

 -- Jordi Mallach <jordi@debian.org>  Wed, 01 Aug 2018 13:41:17 +0200
