=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libjpeg-dev,
  liblua5.3-dev,
  libportmidi-dev [linux-any],
+ libpugixml-dev,
  libsdl2-ttf-dev,
  libsdl2-dev,
  libsqlite3-dev,
