=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,6 @@
 # Sacrifice linking speed to avoid using so much memory
 export DEB_LDFLAGS_MAINT_APPEND = \
     -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
-
-# Also, use Gold linker which is less greed for memory
-LDFLAGS = "-fuse-ld=gold"
 
 # taken verbatim from debian policy
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -51,23 +48,26 @@
     USE_SYSTEM_LIB_SQLITE3=1 \
     USE_SYSTEM_LIB_PORTMIDI=1 \
     USE_SYSTEM_LIB_PORTAUDIO=1 \
+    USE_SYSTEM_LIB_UTF8PROC=1 \
     USE_SYSTEM_LIB_GLM=1 \
     USE_SYSTEM_LIB_RAPIDJSON=1 \
-    USE_SYSTEM_LIB_UTF8PROC=1 \
+    USE_SYSTEM_LIB_PUGIXML=1 \
     VERBOSE=1
 
-# Override make variables for specific archs
-# Linux architectures
+# Set specific arch options:
+# Use Gold linker which is less greedy for memory
 ifeq ($(DEB_HOST_ARCH),amd64)
 DEB_OPTS += \
     FORCE_DRC_C_BACKEND= \
     PTR64=1 \
     NOASM=
+DEB_LDFLAGS_MAINT_APPEND = "-fuse-ld=gold"
 endif
 
 ifeq ($(DEB_HOST_ARCH),arm64)
 DEB_OPTS += \
     ARCHOPTS="-mabi=lp64 -fPIC"
+DEB_LDFLAGS_MAINT_APPEND = "-fuse-ld=gold"
 endif
 
 ifeq ($(DEB_HOST_ARCH),i386)
@@ -75,6 +75,7 @@
     OPTIMIZE=2 \
     FORCE_DRC_C_BACKEND= \
     NOASM=
+DEB_LDFLAGS_MAINT_APPEND = "-fuse-ld=gold"
 endif
 
 ifeq ($(DEB_HOST_ARCH),ia64)
@@ -93,6 +94,10 @@
     ARCHOPTS=-Umips
 endif
 
+ifeq ($(DEB_HOST_ARCH),mips64el)
+DEB_LDFLAGS_MAINT_APPEND = "-fuse-ld=gold"
+endif
+
 ifeq ($(DEB_HOST_ARCH),powerpc)
 DEB_OPTS += \
     ARCHOPTS=-Upowerpc \
@@ -122,6 +127,7 @@
 DEB_OPTS += \
     PTR64=1 \
     BIGENDIAN=1
+DEB_LDFLAGS_MAINT_APPEND = "-fuse-ld=gold"
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
@@ -139,6 +145,7 @@
 DEB_OPTS += \
     FORCE_DRC_C_BACKEND= \
     NOASM=
+DEB_LDFLAGS_MAINT_APPEND = "-fuse-ld=gold"
 endif
 
 # kFreeBSD architectures
