## mame 0.203+dfsg.1

=== debian/changelog ===
mame (0.203+dfsg.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Jan 2019 18:48:25 -0800

mame (0.203+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove leftover cruft from the removal of get-orig-source target.

 -- Jordi Mallach <jordi@debian.org>  Fri, 02 Nov 2018 01:27:47 +0100

mame (0.202+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Remove full CC0 text from debian/copyright and add a pointer to
    common-licenses.
  * Remove get-orig-source rule, as it relies on uscan anyway.
  * Really update Standards-Version to 4.2.1 (not 4.1.2!).
  * Do not run uupdate in watch file.
  * Switch from dh_install --fail-missing to dh_missing --fail-missing.

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Oct 2018 02:44:36 +0200

mame (0.201+dfsg.1-1) experimental; urgency=medium

  * New upstream release.
  * Use HTTPS for links to mamedev.org.
  * Set Rules-Requires-Root to no.
  * Update Standards-Version to 4.2.1.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Sep 2018 23:56:25 +0200
