=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
  Emmanuel Kasper <emmanuel@libera.cc>,
  Jordi Mallach <jordi@debian.org>
@@ -27,11 +28,12 @@
  rapidjson-dev (>= 1.0),
  zlib1g-dev
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
 Vcs-Browser: https://salsa.debian.org/games-team/mame
-Homepage: http://mamedev.org/
+Homepage: https://mamedev.org/
 XS-Autobuild: yes
+Rules-Requires-Root: no
 
 Package: mame
 Architecture: any
